Object Detection in Existing Visual Search Session
Deprecated
GET
/search/session/{search-id}/detect-objects
const url = 'https://api.vviinn.com/search/session/602d20ad1ac7d8-15165248/detect-objects';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vviinn.com/search/session/602d20ad1ac7d8-15165248/detect-objects \ --header 'Authorization: Bearer <token>'Get detected objects of image in existing session.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”search-id
required
string
Example
602d20ad1ac7d8-15165248Query Parameters
Section titled “Query Parameters”Responses
Section titled “Responses”Detected objects response
Media typeapplication/json
object
value
Array<object>
object
value
object
classId
integer
class
string
score
required
integer
rectangle
required
object
left
number
top
number
width
number
height
number
links
Example
{ "value": [ { "value": { "rectangle": { "left": 0, "top": 0.3641, "width": 0.94, "height": 0.54175 } } } ]}ProductSearch exception
Media typeapplication/json
Example
{ "message": "Could not detect objects", "data": ""}Authentication Error
Media typeapplication/json
Example
{ "message": "Authentication Error"}Authorization Error
Media typeapplication/json
Example
{ "message": "Authorization Error"}